complexType "DirectionalLegUnderlyer"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 13 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?, underlyer?, settlementType?, settlementDate?, (settlementAmount | settlementCurrency)?, fxFeature?
</...>

Content Model Elements (13):

  effectiveDate (defined in DirectionalLeg complexType),
  fxFeature (defined in DirectionalLegUnderlyer complexType),
  legIdentifier,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group),
  terminationDate (defined in DirectionalLeg complexType),
  underlyer (defined in DirectionalLegUnderlyer complexType)

Known Direct Subtypes (2):

  DirectionalLegUnderlyerValuation, DividendLeg

Known Indirect Subtypes (2):

  CorrelationLeg, VarianceLeg

All Direct / Indirect Based Elements (4):

  correlationLeg,
  dividendLeg,
  varianceLeg (defined in VarianceSwapTransactionSupplement complexType),
  varianceLeg (in varianceSwap)

Known Usage Locations

- In derivations of other global types (2):
  DirectionalLegUnderlyerValuation (as extension base),
  DividendLeg (as extension base)

Annotation
An abstract base class for all directional leg types with effective date, termination date, and underlyer where a payer makes a stream of payments of greater than zero value to a receiver.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) DirectionalLegUnderlyer

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="DirectionalLegUnderlyer"> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyer" type="Underlyer"/> <xsd:group ref="OptionSettlement.model"/> <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/13)
fxFeature

  Type: | FxFeature, complex content

  Quanto, Composite, or Cross Currency FX features.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxFeature" type="FxFeature"/>

underlyer

  Type: | Underlyer, complex content

  Specifies the underlyer of the leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="underlyer" type="Underlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.